Debian Bug report logs - #702552
ITP: ruby-riot -- fast, expressive, and context-driven unit-testing framework for Ruby

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Fri, 8 Mar 2013 10:09:02 UTC

Owned by: "Cédric Boutillier" <boutil@debian.org>

Severity: wishlist

Fixed in version ruby-riot/0.12.5-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>:
Bug#702552; Package wnpp. (Fri, 08 Mar 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>. (Fri, 08 Mar 2013 10:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-riot -- fast, expressive, and context-driven unit-testing framework for Ruby
Date: Fri, 8 Mar 2013 11:05:39 +0100
Package: wnpp
Severity: wishlist
Owner: "Cédric Boutillier" <boutil@debian.org>

* Package name    : ruby-riot
  Version         : 0.12.5
  Upstream Author : Justin Knowlden <gus@gusg.us>
* URL             : https://github.com/thumblemonks/riot
* License         : Expat
  Programming Lang: Ruby
  Description     : fast, expressive, and context-driven unit-testing framework for Ruby

Riot is a fast, expressive, and context-driven unit-testing framework for the
Ruby programming language.
.
In contrast to other popular Ruby testing frameworks such as Test::Unit,
Shoulda and RSpec, Riot does not run a setup and teardown sequence before and
after each test. In Riot, tests separated in "contexts" in which a "topic"
object is defined, and assertions on this object are made.

This package will be maintained under the umbrella of the Ruby Extras team.

Cheers,

Cédric



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 09 Mar 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Wed, 20 Mar 2013 00:03:26 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Wed, 20 Mar 2013 00:03:26 GMT) Full text and rfc822 format available.

Message #12 received at 702552-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 702552-close@bugs.debian.org
Subject: Bug#702552: fixed in ruby-riot 0.12.5-1
Date: Wed, 20 Mar 2013 00:00:07 +0000
Source: ruby-riot
Source-Version: 0.12.5-1

We believe that the bug you reported is fixed in the latest version of
ruby-riot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702552@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-riot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 07 Mar 2013 23:15:12 +0100
Source: ruby-riot
Binary: ruby-riot
Architecture: source all
Version: 0.12.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-riot  - fast, expressive, and context-driven unit-testing framework for R
Closes: 702552
Changes: 
 ruby-riot (0.12.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #702552)
Checksums-Sha1: 
 3a259e1c90c45920464171ea5a8ff9ee2ba22a98 2032 ruby-riot_0.12.5-1.dsc
 0c1675fe70876fe2bf8552534d4ed797c917debb 45695 ruby-riot_0.12.5.orig.tar.gz
 8e35ea468b260599e00b37d024c8754feb4659a6 2784 ruby-riot_0.12.5-1.debian.tar.gz
 0df9438a0531c3f8b7e8dc22423f0297590adf35 36520 ruby-riot_0.12.5-1_all.deb
Checksums-Sha256: 
 c554e2adf0179d8ca6171f5faca529642bbf8e0e78f5c8243e4e803cb0be5d47 2032 ruby-riot_0.12.5-1.dsc
 b8769c5759d4668dbfa79ec777c717d76ab1ec245cf74a61413b80586da581cf 45695 ruby-riot_0.12.5.orig.tar.gz
 623c110e56fa0c0b1e6b28d4b4dd09665e8e8ac4a66f768134d1da67898fee4a 2784 ruby-riot_0.12.5-1.debian.tar.gz
 2ed5146c545653ebc6893cb96349177f9e0d2bbe50b928d79c7d42c84040159f 36520 ruby-riot_0.12.5-1_all.deb
Files: 
 369d0273bcab8a9971494257589a66df 2032 ruby optional ruby-riot_0.12.5-1.dsc
 d798cafccdf843b3eabf37b980682437 45695 ruby optional ruby-riot_0.12.5.orig.tar.gz
 93b95dac3d4c9ccb3ea2457907b7c031 2784 ruby optional ruby-riot_0.12.5-1.debian.tar.gz
 14730e339c1540a45ca74f129aa37cda 36520 ruby optional ruby-riot_0.12.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJROuFbAAoJENpJWPYR4Unp/HcQAJoGIRAAFWR/fJAh5yKIsp8z
JzWB1aq1YLAiTQTkSTGooxfuUiG4O8A2v3Lp1mqhGITbAiYv2XGEnY2fcrYgEFzl
OFWYU7Y2uHTr6jOHK3H6aYPERgyIcRYPHAPC+xLH1hFwqpZRkQLbEDUtqxCAKEpu
LxLFoFGsH+fvQVDo7no6l2v72YsFaR0XAmSypsQMJVjciaqI+uTZZGvUmhvoR5kV
18ixRb9G/mrV2Oyw/ijJCq4jQTDFvk/FVWEs2BRJVqGEUy43Sgk4VqeY2yLZNwr5
eeokBReV3mKQFQlR3VHa6aTjiFVzjvGkCfRIHKGn+JR9rB5ULBAfSdw7jGUphWI+
yjATRd+KIYgtsRYA5XpNjP+PaVFD4zChdU4eh3CtYadBosZ37BwB7x81lImqeJIq
Ql2u7fHaSqu/XUfCOAqFtSbfIlV+vtyBbMRYtQjawhhoSiVxSMcbLjMYJS8gWeVl
u92BmMR9yeuEu8qq4AAacGiaDN3c+gf31I2Wi3nsFs5gexmfjSZsdNKIDu0S9E6C
GU9TTKnEagSD4GXgPBrZODABntADS4lFE6R2b8WYHye2R13MNLIXezVqQnT6cKAn
fYxrvX1OqsLabzlJ84+LLz0hXSLoGkGzZ8W5Z26e1W7QIkDX3ItIaxKSSVdbnbZC
zUbZa0SyA3BvjwPSIzeW
=4x8z
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Apr 2013 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:25:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.